import { SWFClient } from "./SWFClient";
import { CountClosedWorkflowExecutionsInput } from "./types/CountClosedWorkflowExecutionsInput";
import { CountClosedWorkflowExecutionsOutput } from "./types/CountClosedWorkflowExecutionsOutput";
import { CountOpenWorkflowExecutionsInput } from "./types/CountOpenWorkflowExecutionsInput";
import { CountOpenWorkflowExecutionsOutput } from "./types/CountOpenWorkflowExecutionsOutput";
import { CountPendingActivityTasksInput } from "./types/CountPendingActivityTasksInput";
import { CountPendingActivityTasksOutput } from "./types/CountPendingActivityTasksOutput";
import { CountPendingDecisionTasksInput } from "./types/CountPendingDecisionTasksInput";
import { CountPendingDecisionTasksOutput } from "./types/CountPendingDecisionTasksOutput";
import { DeprecateActivityTypeInput } from "./types/DeprecateActivityTypeInput";
import { DeprecateActivityTypeOutput } from "./types/DeprecateActivityTypeOutput";
import { DeprecateDomainInput } from "./types/DeprecateDomainInput";
import { DeprecateDomainOutput } from "./types/DeprecateDomainOutput";
import { DeprecateWorkflowTypeInput } from "./types/DeprecateWorkflowTypeInput";
import { DeprecateWorkflowTypeOutput } from "./types/DeprecateWorkflowTypeOutput";
import { DescribeActivityTypeInput } from "./types/DescribeActivityTypeInput";
import { DescribeActivityTypeOutput } from "./types/DescribeActivityTypeOutput";
import { DescribeDomainInput } from "./types/DescribeDomainInput";
import { DescribeDomainOutput } from "./types/DescribeDomainOutput";
import { DescribeWorkflowExecutionInput } from "./types/DescribeWorkflowExecutionInput";
import { DescribeWorkflowExecutionOutput } from "./types/DescribeWorkflowExecutionOutput";
import { DescribeWorkflowTypeInput } from "./types/DescribeWorkflowTypeInput";
import { DescribeWorkflowTypeOutput } from "./types/DescribeWorkflowTypeOutput";
import { GetWorkflowExecutionHistoryInput } from "./types/GetWorkflowExecutionHistoryInput";
import { GetWorkflowExecutionHistoryOutput } from "./types/GetWorkflowExecutionHistoryOutput";
import { ListActivityTypesInput } from "./types/ListActivityTypesInput";
import { ListActivityTypesOutput } from "./types/ListActivityTypesOutput";
import { ListClosedWorkflowExecutionsInput } from "./types/ListClosedWorkflowExecutionsInput";
import { ListClosedWorkflowExecutionsOutput } from "./types/ListClosedWorkflowExecutionsOutput";
import { ListDomainsInput } from "./types/ListDomainsInput";
import { ListDomainsOutput } from "./types/ListDomainsOutput";
import { ListOpenWorkflowExecutionsInput } from "./types/ListOpenWorkflowExecutionsInput";
import { ListOpenWorkflowExecutionsOutput } from "./types/ListOpenWorkflowExecutionsOutput";
import { ListTagsForResourceInput } from "./types/ListTagsForResourceInput";
import { ListTagsForResourceOutput } from "./types/ListTagsForResourceOutput";
import { ListWorkflowTypesInput } from "./types/ListWorkflowTypesInput";
import { ListWorkflowTypesOutput } from "./types/ListWorkflowTypesOutput";
import { PollForActivityTaskInput } from "./types/PollForActivityTaskInput";
import { PollForActivityTaskOutput } from "./types/PollForActivityTaskOutput";
import { PollForDecisionTaskInput } from "./types/PollForDecisionTaskInput";
import { PollForDecisionTaskOutput } from "./types/PollForDecisionTaskOutput";
import { RecordActivityTaskHeartbeatInput } from "./types/RecordActivityTaskHeartbeatInput";
import { RecordActivityTaskHeartbeatOutput } from "./types/RecordActivityTaskHeartbeatOutput";
import { RegisterActivityTypeInput } from "./types/RegisterActivityTypeInput";
import { RegisterActivityTypeOutput } from "./types/RegisterActivityTypeOutput";
import { RegisterDomainInput } from "./types/RegisterDomainInput";
import { RegisterDomainOutput } from "./types/RegisterDomainOutput";
import { RegisterWorkflowTypeInput } from "./types/RegisterWorkflowTypeInput";
import { RegisterWorkflowTypeOutput } from "./types/RegisterWorkflowTypeOutput";
import { RequestCancelWorkflowExecutionInput } from "./types/RequestCancelWorkflowExecutionInput";
import { RequestCancelWorkflowExecutionOutput } from "./types/RequestCancelWorkflowExecutionOutput";
import { RespondActivityTaskCanceledInput } from "./types/RespondActivityTaskCanceledInput";
import { RespondActivityTaskCanceledOutput } from "./types/RespondActivityTaskCanceledOutput";
import { RespondActivityTaskCompletedInput } from "./types/RespondActivityTaskCompletedInput";
import { RespondActivityTaskCompletedOutput } from "./types/RespondActivityTaskCompletedOutput";
import { RespondActivityTaskFailedInput } from "./types/RespondActivityTaskFailedInput";
import { RespondActivityTaskFailedOutput } from "./types/RespondActivityTaskFailedOutput";
import { RespondDecisionTaskCompletedInput } from "./types/RespondDecisionTaskCompletedInput";
import { RespondDecisionTaskCompletedOutput } from "./types/RespondDecisionTaskCompletedOutput";
import { SignalWorkflowExecutionInput } from "./types/SignalWorkflowExecutionInput";
import { SignalWorkflowExecutionOutput } from "./types/SignalWorkflowExecutionOutput";
import { StartWorkflowExecutionInput } from "./types/StartWorkflowExecutionInput";
import { StartWorkflowExecutionOutput } from "./types/StartWorkflowExecutionOutput";
import { TagResourceInput } from "./types/TagResourceInput";
import { TagResourceOutput } from "./types/TagResourceOutput";
import { TerminateWorkflowExecutionInput } from "./types/TerminateWorkflowExecutionInput";
import { TerminateWorkflowExecutionOutput } from "./types/TerminateWorkflowExecutionOutput";
import { UndeprecateActivityTypeInput } from "./types/UndeprecateActivityTypeInput";
import { UndeprecateActivityTypeOutput } from "./types/UndeprecateActivityTypeOutput";
import { UndeprecateDomainInput } from "./types/UndeprecateDomainInput";
import { UndeprecateDomainOutput } from "./types/UndeprecateDomainOutput";
import { UndeprecateWorkflowTypeInput } from "./types/UndeprecateWorkflowTypeInput";
import { UndeprecateWorkflowTypeOutput } from "./types/UndeprecateWorkflowTypeOutput";
import { UntagResourceInput } from "./types/UntagResourceInput";
import { UntagResourceOutput } from "./types/UntagResourceOutput";
export declare class SWF extends SWFClient {
    /**
     * <p>Returns the number of closed workflow executions within the given domain that meet the specified filtering criteria.</p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>tagFilter.tag</code>: String constraint. The key is <code>swf:tagFilter.tag</code>.</p> </li> <li> <p> <code>typeFilter.name</code>: String constraint. The key is <code>swf:typeFilter.name</code>.</p> </li> <li> <p> <code>typeFilter.version</code>: String constraint. The key is <code>swf:typeFilter.version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    countClosedWorkflowExecutions(args: CountClosedWorkflowExecutionsInput): Promise<CountClosedWorkflowExecutionsOutput>;
    countClosedWorkflowExecutions(args: CountClosedWorkflowExecutionsInput, cb: (err: any, data?: CountClosedWorkflowExecutionsOutput) => void): void;
    /**
     * <p>Returns the number of open workflow executions within the given domain that meet the specified filtering criteria.</p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>tagFilter.tag</code>: String constraint. The key is <code>swf:tagFilter.tag</code>.</p> </li> <li> <p> <code>typeFilter.name</code>: String constraint. The key is <code>swf:typeFilter.name</code>.</p> </li> <li> <p> <code>typeFilter.version</code>: String constraint. The key is <code>swf:typeFilter.version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    countOpenWorkflowExecutions(args: CountOpenWorkflowExecutionsInput): Promise<CountOpenWorkflowExecutionsOutput>;
    countOpenWorkflowExecutions(args: CountOpenWorkflowExecutionsInput, cb: (err: any, data?: CountOpenWorkflowExecutionsOutput) => void): void;
    /**
     * <p>Returns the estimated number of activity tasks in the specified task list. The count returned is an approximation and isn't guaranteed to be exact. If you specify a task list that no activity task was ever scheduled in then <code>0</code> is returned.</p> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the <code>taskList.name</code> parameter by using a <code>Condition</code> element with the <code>swf:taskList.name</code> key to allow the action to access only certain task lists.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    countPendingActivityTasks(args: CountPendingActivityTasksInput): Promise<CountPendingActivityTasksOutput>;
    countPendingActivityTasks(args: CountPendingActivityTasksInput, cb: (err: any, data?: CountPendingActivityTasksOutput) => void): void;
    /**
     * <p>Returns the estimated number of decision tasks in the specified task list. The count returned is an approximation and isn't guaranteed to be exact. If you specify a task list that no decision task was ever scheduled in then <code>0</code> is returned.</p> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the <code>taskList.name</code> parameter by using a <code>Condition</code> element with the <code>swf:taskList.name</code> key to allow the action to access only certain task lists.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    countPendingDecisionTasks(args: CountPendingDecisionTasksInput): Promise<CountPendingDecisionTasksOutput>;
    countPendingDecisionTasks(args: CountPendingDecisionTasksInput, cb: (err: any, data?: CountPendingDecisionTasksOutput) => void): void;
    /**
     * <p>Deprecates the specified <i>activity type</i>. After an activity type has been deprecated, you cannot create new tasks of that activity type. Tasks of this type that were scheduled before the type was deprecated continue to run.</p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>activityType.name</code>: String constraint. The key is <code>swf:activityType.name</code>.</p> </li> <li> <p> <code>activityType.version</code>: String constraint. The key is <code>swf:activityType.version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {TypeDeprecatedFault} <p>Returned when the specified activity or workflow type was already deprecated.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deprecateActivityType(args: DeprecateActivityTypeInput): Promise<DeprecateActivityTypeOutput>;
    deprecateActivityType(args: DeprecateActivityTypeInput, cb: (err: any, data?: DeprecateActivityTypeOutput) => void): void;
    /**
     * <p>Deprecates the specified domain. After a domain has been deprecated it cannot be used to create new workflow executions or register new types. However, you can still use visibility actions on this domain. Deprecating a domain also deprecates all activity and workflow types registered in the domain. Executions that were started before the domain was deprecated continues to run.</p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {DomainDeprecatedFault} <p>Returned when the specified domain has been deprecated.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deprecateDomain(args: DeprecateDomainInput): Promise<DeprecateDomainOutput>;
    deprecateDomain(args: DeprecateDomainInput, cb: (err: any, data?: DeprecateDomainOutput) => void): void;
    /**
     * <p>Deprecates the specified <i>workflow type</i>. After a workflow type has been deprecated, you cannot create new executions of that type. Executions that were started before the type was deprecated continues to run. A deprecated workflow type may still be used when calling visibility actions.</p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>workflowType.name</code>: String constraint. The key is <code>swf:workflowType.name</code>.</p> </li> <li> <p> <code>workflowType.version</code>: String constraint. The key is <code>swf:workflowType.version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {TypeDeprecatedFault} <p>Returned when the specified activity or workflow type was already deprecated.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deprecateWorkflowType(args: DeprecateWorkflowTypeInput): Promise<DeprecateWorkflowTypeOutput>;
    deprecateWorkflowType(args: DeprecateWorkflowTypeInput, cb: (err: any, data?: DeprecateWorkflowTypeOutput) => void): void;
    /**
     * <p>Returns information about the specified activity type. This includes configuration settings provided when the type was registered and other general information about the type.</p> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>activityType.name</code>: String constraint. The key is <code>swf:activityType.name</code>.</p> </li> <li> <p> <code>activityType.version</code>: String constraint. The key is <code>swf:activityType.version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeActivityType(args: DescribeActivityTypeInput): Promise<DescribeActivityTypeOutput>;
    describeActivityType(args: DescribeActivityTypeInput, cb: (err: any, data?: DescribeActivityTypeOutput) => void): void;
    /**
     * <p>Returns information about the specified domain, including description and status.</p> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeDomain(args: DescribeDomainInput): Promise<DescribeDomainOutput>;
    describeDomain(args: DescribeDomainInput, cb: (err: any, data?: DescribeDomainOutput) => void): void;
    /**
     * <p>Returns information about the specified workflow execution including its type and some statistics.</p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeWorkflowExecution(args: DescribeWorkflowExecutionInput): Promise<DescribeWorkflowExecutionOutput>;
    describeWorkflowExecution(args: DescribeWorkflowExecutionInput, cb: (err: any, data?: DescribeWorkflowExecutionOutput) => void): void;
    /**
     * <p>Returns information about the specified <i>workflow type</i>. This includes configuration settings specified when the type was registered and other information such as creation date, current status, etc.</p> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>workflowType.name</code>: String constraint. The key is <code>swf:workflowType.name</code>.</p> </li> <li> <p> <code>workflowType.version</code>: String constraint. The key is <code>swf:workflowType.version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeWorkflowType(args: DescribeWorkflowTypeInput): Promise<DescribeWorkflowTypeOutput>;
    describeWorkflowType(args: DescribeWorkflowTypeInput, cb: (err: any, data?: DescribeWorkflowTypeOutput) => void): void;
    /**
     * <p>Returns the history of the specified workflow execution. The results may be split into multiple pages. To retrieve subsequent pages, make the call again using the <code>nextPageToken</code> returned by the initial call.</p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getWorkflowExecutionHistory(args: GetWorkflowExecutionHistoryInput): Promise<GetWorkflowExecutionHistoryOutput>;
    getWorkflowExecutionHistory(args: GetWorkflowExecutionHistoryInput, cb: (err: any, data?: GetWorkflowExecutionHistoryOutput) => void): void;
    /**
     * <p>Returns information about all activities registered in the specified domain that match the specified name and registration status. The result includes information like creation date, current status of the activity, etc. The results may be split into multiple pages. To retrieve subsequent pages, make the call again using the <code>nextPageToken</code> returned by the initial call.</p> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listActivityTypes(args: ListActivityTypesInput): Promise<ListActivityTypesOutput>;
    listActivityTypes(args: ListActivityTypesInput, cb: (err: any, data?: ListActivityTypesOutput) => void): void;
    /**
     * <p>Returns a list of closed workflow executions in the specified domain that meet the filtering criteria. The results may be split into multiple pages. To retrieve subsequent pages, make the call again using the nextPageToken returned by the initial call.</p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>tagFilter.tag</code>: String constraint. The key is <code>swf:tagFilter.tag</code>.</p> </li> <li> <p> <code>typeFilter.name</code>: String constraint. The key is <code>swf:typeFilter.name</code>.</p> </li> <li> <p> <code>typeFilter.version</code>: String constraint. The key is <code>swf:typeFilter.version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listClosedWorkflowExecutions(args: ListClosedWorkflowExecutionsInput): Promise<ListClosedWorkflowExecutionsOutput>;
    listClosedWorkflowExecutions(args: ListClosedWorkflowExecutionsInput, cb: (err: any, data?: ListClosedWorkflowExecutionsOutput) => void): void;
    /**
     * <p>Returns the list of domains registered in the account. The results may be split into multiple pages. To retrieve subsequent pages, make the call again using the nextPageToken returned by the initial call.</p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains. The element must be set to <code>arn:aws:swf::AccountID:domain/*</code>, where <i>AccountID</i> is the account ID, with no dashes.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listDomains(args: ListDomainsInput): Promise<ListDomainsOutput>;
    listDomains(args: ListDomainsInput, cb: (err: any, data?: ListDomainsOutput) => void): void;
    /**
     * <p>Returns a list of open workflow executions in the specified domain that meet the filtering criteria. The results may be split into multiple pages. To retrieve subsequent pages, make the call again using the nextPageToken returned by the initial call.</p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>tagFilter.tag</code>: String constraint. The key is <code>swf:tagFilter.tag</code>.</p> </li> <li> <p> <code>typeFilter.name</code>: String constraint. The key is <code>swf:typeFilter.name</code>.</p> </li> <li> <p> <code>typeFilter.version</code>: String constraint. The key is <code>swf:typeFilter.version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listOpenWorkflowExecutions(args: ListOpenWorkflowExecutionsInput): Promise<ListOpenWorkflowExecutionsOutput>;
    listOpenWorkflowExecutions(args: ListOpenWorkflowExecutionsInput, cb: (err: any, data?: ListOpenWorkflowExecutionsOutput) => void): void;
    /**
     * <p>List tags for a given domain.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {LimitExceededFault} <p>Returned by any operation if a system imposed limitation has been reached. To address this fault you should either clean up unused resources or increase the limit by contacting AWS.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listTagsForResource(args: ListTagsForResourceInput): Promise<ListTagsForResourceOutput>;
    listTagsForResource(args: ListTagsForResourceInput, cb: (err: any, data?: ListTagsForResourceOutput) => void): void;
    /**
     * <p>Returns information about workflow types in the specified domain. The results may be split into multiple pages that can be retrieved by making the call repeatedly.</p> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listWorkflowTypes(args: ListWorkflowTypesInput): Promise<ListWorkflowTypesOutput>;
    listWorkflowTypes(args: ListWorkflowTypesInput, cb: (err: any, data?: ListWorkflowTypesOutput) => void): void;
    /**
     * <p>Used by workers to get an <a>ActivityTask</a> from the specified activity <code>taskList</code>. This initiates a long poll, where the service holds the HTTP connection open and responds as soon as a task becomes available. The maximum time the service holds on to the request before responding is 60 seconds. If no task is available within 60 seconds, the poll returns an empty result. An empty result, in this context, means that an ActivityTask is returned, but that the value of taskToken is an empty string. If a task is returned, the worker should use its type to identify and process it correctly.</p> <important> <p>Workers should set their client side socket timeout to at least 70 seconds (10 seconds higher than the maximum time service may hold the poll request).</p> </important> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the <code>taskList.name</code> parameter by using a <code>Condition</code> element with the <code>swf:taskList.name</code> key to allow the action to access only certain task lists.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {LimitExceededFault} <p>Returned by any operation if a system imposed limitation has been reached. To address this fault you should either clean up unused resources or increase the limit by contacting AWS.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    pollForActivityTask(args: PollForActivityTaskInput): Promise<PollForActivityTaskOutput>;
    pollForActivityTask(args: PollForActivityTaskInput, cb: (err: any, data?: PollForActivityTaskOutput) => void): void;
    /**
     * <p>Used by deciders to get a <a>DecisionTask</a> from the specified decision <code>taskList</code>. A decision task may be returned for any open workflow execution that is using the specified task list. The task includes a paginated view of the history of the workflow execution. The decider should use the workflow type and the history to determine how to properly handle the task.</p> <p>This action initiates a long poll, where the service holds the HTTP connection open and responds as soon a task becomes available. If no decision task is available in the specified task list before the timeout of 60 seconds expires, an empty result is returned. An empty result, in this context, means that a DecisionTask is returned, but that the value of taskToken is an empty string.</p> <important> <p>Deciders should set their client side socket timeout to at least 70 seconds (10 seconds higher than the timeout).</p> </important> <important> <p>Because the number of workflow history events for a single workflow execution might be very large, the result returned might be split up across a number of pages. To retrieve subsequent pages, make additional calls to <code>PollForDecisionTask</code> using the <code>nextPageToken</code> returned by the initial call. Note that you do <i>not</i> call <code>GetWorkflowExecutionHistory</code> with this <code>nextPageToken</code>. Instead, call <code>PollForDecisionTask</code> again.</p> </important> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the <code>taskList.name</code> parameter by using a <code>Condition</code> element with the <code>swf:taskList.name</code> key to allow the action to access only certain task lists.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {LimitExceededFault} <p>Returned by any operation if a system imposed limitation has been reached. To address this fault you should either clean up unused resources or increase the limit by contacting AWS.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    pollForDecisionTask(args: PollForDecisionTaskInput): Promise<PollForDecisionTaskOutput>;
    pollForDecisionTask(args: PollForDecisionTaskInput, cb: (err: any, data?: PollForDecisionTaskOutput) => void): void;
    /**
     * <p>Used by activity workers to report to the service that the <a>ActivityTask</a> represented by the specified <code>taskToken</code> is still making progress. The worker can also specify details of the progress, for example percent complete, using the <code>details</code> parameter. This action can also be used by the worker as a mechanism to check if cancellation is being requested for the activity task. If a cancellation is being attempted for the specified task, then the boolean <code>cancelRequested</code> flag returned by the service is set to <code>true</code>.</p> <p>This action resets the <code>taskHeartbeatTimeout</code> clock. The <code>taskHeartbeatTimeout</code> is specified in <a>RegisterActivityType</a>.</p> <p>This action doesn't in itself create an event in the workflow execution history. However, if the task times out, the workflow execution history contains a <code>ActivityTaskTimedOut</code> event that contains the information from the last heartbeat generated by the activity worker.</p> <note> <p>The <code>taskStartToCloseTimeout</code> of an activity type is the maximum duration of an activity task, regardless of the number of <a>RecordActivityTaskHeartbeat</a> requests received. The <code>taskStartToCloseTimeout</code> is also specified in <a>RegisterActivityType</a>.</p> </note> <note> <p>This operation is only useful for long-lived activities to report liveliness of the task and to determine if a cancellation is being attempted.</p> </note> <important> <p>If the <code>cancelRequested</code> flag returns <code>true</code>, a cancellation is being attempted. If the worker can cancel the activity, it should respond with <a>RespondActivityTaskCanceled</a>. Otherwise, it should ignore the cancellation request.</p> </important> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    recordActivityTaskHeartbeat(args: RecordActivityTaskHeartbeatInput): Promise<RecordActivityTaskHeartbeatOutput>;
    recordActivityTaskHeartbeat(args: RecordActivityTaskHeartbeatInput, cb: (err: any, data?: RecordActivityTaskHeartbeatOutput) => void): void;
    /**
     * <p>Registers a new <i>activity type</i> along with its configuration settings in the specified domain.</p> <important> <p>A <code>TypeAlreadyExists</code> fault is returned if the type already exists in the domain. You cannot change any configuration settings of the type after its registration, and it must be registered as a new version.</p> </important> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>defaultTaskList.name</code>: String constraint. The key is <code>swf:defaultTaskList.name</code>.</p> </li> <li> <p> <code>name</code>: String constraint. The key is <code>swf:name</code>.</p> </li> <li> <p> <code>version</code>: String constraint. The key is <code>swf:version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {TypeAlreadyExistsFault} <p>Returned if the type already exists in the specified domain. You may get this fault if you are registering a type that is either already registered or deprecated, or if you undeprecate a type that is currently registered.</p>
     *   - {LimitExceededFault} <p>Returned by any operation if a system imposed limitation has been reached. To address this fault you should either clean up unused resources or increase the limit by contacting AWS.</p>
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    registerActivityType(args: RegisterActivityTypeInput): Promise<RegisterActivityTypeOutput>;
    registerActivityType(args: RegisterActivityTypeInput, cb: (err: any, data?: RegisterActivityTypeOutput) => void): void;
    /**
     * <p>Registers a new domain.</p> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>You cannot use an IAM policy to control domain access for this action. The name of the domain being registered is available as the resource of this action.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DomainAlreadyExistsFault} <p>Returned if the domain already exists. You may get this fault if you are registering a domain that is either already registered or deprecated, or if you undeprecate a domain that is currently registered.</p>
     *   - {LimitExceededFault} <p>Returned by any operation if a system imposed limitation has been reached. To address this fault you should either clean up unused resources or increase the limit by contacting AWS.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {TooManyTagsFault} <p>You've exceeded the number of tags allowed for a domain.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    registerDomain(args: RegisterDomainInput): Promise<RegisterDomainOutput>;
    registerDomain(args: RegisterDomainInput, cb: (err: any, data?: RegisterDomainOutput) => void): void;
    /**
     * <p>Registers a new <i>workflow type</i> and its configuration settings in the specified domain.</p> <p>The retention period for the workflow history is set by the <a>RegisterDomain</a> action.</p> <important> <p>If the type already exists, then a <code>TypeAlreadyExists</code> fault is returned. You cannot change the configuration settings of a workflow type once it is registered and it must be registered as a new version.</p> </important> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>defaultTaskList.name</code>: String constraint. The key is <code>swf:defaultTaskList.name</code>.</p> </li> <li> <p> <code>name</code>: String constraint. The key is <code>swf:name</code>.</p> </li> <li> <p> <code>version</code>: String constraint. The key is <code>swf:version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {TypeAlreadyExistsFault} <p>Returned if the type already exists in the specified domain. You may get this fault if you are registering a type that is either already registered or deprecated, or if you undeprecate a type that is currently registered.</p>
     *   - {LimitExceededFault} <p>Returned by any operation if a system imposed limitation has been reached. To address this fault you should either clean up unused resources or increase the limit by contacting AWS.</p>
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    registerWorkflowType(args: RegisterWorkflowTypeInput): Promise<RegisterWorkflowTypeOutput>;
    registerWorkflowType(args: RegisterWorkflowTypeInput, cb: (err: any, data?: RegisterWorkflowTypeOutput) => void): void;
    /**
     * <p>Records a <code>WorkflowExecutionCancelRequested</code> event in the currently running workflow execution identified by the given domain, workflowId, and runId. This logically requests the cancellation of the workflow execution as a whole. It is up to the decider to take appropriate actions when it receives an execution history with this event.</p> <note> <p>If the runId isn't specified, the <code>WorkflowExecutionCancelRequested</code> event is recorded in the history of the current open workflow execution with the specified workflowId in the domain.</p> </note> <note> <p>Because this action allows the workflow to properly clean up and gracefully close, it should be used instead of <a>TerminateWorkflowExecution</a> when possible.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    requestCancelWorkflowExecution(args: RequestCancelWorkflowExecutionInput): Promise<RequestCancelWorkflowExecutionOutput>;
    requestCancelWorkflowExecution(args: RequestCancelWorkflowExecutionInput, cb: (err: any, data?: RequestCancelWorkflowExecutionOutput) => void): void;
    /**
     * <p>Used by workers to tell the service that the <a>ActivityTask</a> identified by the <code>taskToken</code> was successfully canceled. Additional <code>details</code> can be provided using the <code>details</code> argument.</p> <p>These <code>details</code> (if provided) appear in the <code>ActivityTaskCanceled</code> event added to the workflow history.</p> <important> <p>Only use this operation if the <code>canceled</code> flag of a <a>RecordActivityTaskHeartbeat</a> request returns <code>true</code> and if the activity can be safely undone or abandoned.</p> </important> <p>A task is considered open from the time that it is scheduled until it is closed. Therefore a task is reported as open while a worker is processing it. A task is closed after it has been specified in a call to <a>RespondActivityTaskCompleted</a>, RespondActivityTaskCanceled, <a>RespondActivityTaskFailed</a>, or the task has <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dg-basic.html#swf-dev-timeout-types">timed out</a>.</p> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    respondActivityTaskCanceled(args: RespondActivityTaskCanceledInput): Promise<RespondActivityTaskCanceledOutput>;
    respondActivityTaskCanceled(args: RespondActivityTaskCanceledInput, cb: (err: any, data?: RespondActivityTaskCanceledOutput) => void): void;
    /**
     * <p>Used by workers to tell the service that the <a>ActivityTask</a> identified by the <code>taskToken</code> completed successfully with a <code>result</code> (if provided). The <code>result</code> appears in the <code>ActivityTaskCompleted</code> event in the workflow history.</p> <important> <p>If the requested task doesn't complete successfully, use <a>RespondActivityTaskFailed</a> instead. If the worker finds that the task is canceled through the <code>canceled</code> flag returned by <a>RecordActivityTaskHeartbeat</a>, it should cancel the task, clean up and then call <a>RespondActivityTaskCanceled</a>.</p> </important> <p>A task is considered open from the time that it is scheduled until it is closed. Therefore a task is reported as open while a worker is processing it. A task is closed after it has been specified in a call to RespondActivityTaskCompleted, <a>RespondActivityTaskCanceled</a>, <a>RespondActivityTaskFailed</a>, or the task has <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dg-basic.html#swf-dev-timeout-types">timed out</a>.</p> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    respondActivityTaskCompleted(args: RespondActivityTaskCompletedInput): Promise<RespondActivityTaskCompletedOutput>;
    respondActivityTaskCompleted(args: RespondActivityTaskCompletedInput, cb: (err: any, data?: RespondActivityTaskCompletedOutput) => void): void;
    /**
     * <p>Used by workers to tell the service that the <a>ActivityTask</a> identified by the <code>taskToken</code> has failed with <code>reason</code> (if specified). The <code>reason</code> and <code>details</code> appear in the <code>ActivityTaskFailed</code> event added to the workflow history.</p> <p>A task is considered open from the time that it is scheduled until it is closed. Therefore a task is reported as open while a worker is processing it. A task is closed after it has been specified in a call to <a>RespondActivityTaskCompleted</a>, <a>RespondActivityTaskCanceled</a>, RespondActivityTaskFailed, or the task has <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dg-basic.html#swf-dev-timeout-types">timed out</a>.</p> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    respondActivityTaskFailed(args: RespondActivityTaskFailedInput): Promise<RespondActivityTaskFailedOutput>;
    respondActivityTaskFailed(args: RespondActivityTaskFailedInput, cb: (err: any, data?: RespondActivityTaskFailedOutput) => void): void;
    /**
     * <p>Used by deciders to tell the service that the <a>DecisionTask</a> identified by the <code>taskToken</code> has successfully completed. The <code>decisions</code> argument specifies the list of decisions made while processing the task.</p> <p>A <code>DecisionTaskCompleted</code> event is added to the workflow history. The <code>executionContext</code> specified is attached to the event in the workflow execution history.</p> <p> <b>Access Control</b> </p> <p>If an IAM policy grants permission to use <code>RespondDecisionTaskCompleted</code>, it can express permissions for the list of decisions in the <code>decisions</code> parameter. Each of the decisions has one or more parameters, much like a regular API call. To allow for policies to be as readable as possible, you can express permissions on decisions as if they were actual API calls, including applying conditions to some parameters. For more information, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    respondDecisionTaskCompleted(args: RespondDecisionTaskCompletedInput): Promise<RespondDecisionTaskCompletedOutput>;
    respondDecisionTaskCompleted(args: RespondDecisionTaskCompletedInput, cb: (err: any, data?: RespondDecisionTaskCompletedOutput) => void): void;
    /**
     * <p>Records a <code>WorkflowExecutionSignaled</code> event in the workflow execution history and creates a decision task for the workflow execution identified by the given domain, workflowId and runId. The event is recorded with the specified user defined signalName and input (if provided).</p> <note> <p>If a runId isn't specified, then the <code>WorkflowExecutionSignaled</code> event is recorded in the history of the current open workflow with the matching workflowId in the domain.</p> </note> <note> <p>If the specified workflow execution isn't open, this method fails with <code>UnknownResource</code>.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    signalWorkflowExecution(args: SignalWorkflowExecutionInput): Promise<SignalWorkflowExecutionOutput>;
    signalWorkflowExecution(args: SignalWorkflowExecutionInput, cb: (err: any, data?: SignalWorkflowExecutionOutput) => void): void;
    /**
     * <p>Starts an execution of the workflow type in the specified domain using the provided <code>workflowId</code> and input data.</p> <p>This action returns the newly started workflow execution.</p> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>tagList.member.0</code>: The key is <code>swf:tagList.member.0</code>.</p> </li> <li> <p> <code>tagList.member.1</code>: The key is <code>swf:tagList.member.1</code>.</p> </li> <li> <p> <code>tagList.member.2</code>: The key is <code>swf:tagList.member.2</code>.</p> </li> <li> <p> <code>tagList.member.3</code>: The key is <code>swf:tagList.member.3</code>.</p> </li> <li> <p> <code>tagList.member.4</code>: The key is <code>swf:tagList.member.4</code>.</p> </li> <li> <p> <code>taskList</code>: String constraint. The key is <code>swf:taskList.name</code>.</p> </li> <li> <p> <code>workflowType.name</code>: String constraint. The key is <code>swf:workflowType.name</code>.</p> </li> <li> <p> <code>workflowType.version</code>: String constraint. The key is <code>swf:workflowType.version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {TypeDeprecatedFault} <p>Returned when the specified activity or workflow type was already deprecated.</p>
     *   - {WorkflowExecutionAlreadyStartedFault} <p>Returned by <a>StartWorkflowExecution</a> when an open execution with the same workflowId is already running in the specified domain.</p>
     *   - {LimitExceededFault} <p>Returned by any operation if a system imposed limitation has been reached. To address this fault you should either clean up unused resources or increase the limit by contacting AWS.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {DefaultUndefinedFault} <p>The <code>StartWorkflowExecution</code> API action was called without the required parameters set.</p> <p>Some workflow execution parameters, such as the decision <code>taskList</code>, must be set to start the execution. However, these parameters might have been set as defaults when the workflow type was registered. In this case, you can omit these parameters from the <code>StartWorkflowExecution</code> call and Amazon SWF uses the values defined in the workflow type.</p> <note> <p>If these parameters aren't set and no default parameters were defined in the workflow type, this error is displayed.</p> </note>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    startWorkflowExecution(args: StartWorkflowExecutionInput): Promise<StartWorkflowExecutionOutput>;
    startWorkflowExecution(args: StartWorkflowExecutionInput, cb: (err: any, data?: StartWorkflowExecutionOutput) => void): void;
    /**
     * <p>Add a tag to a Amazon SWF domain.</p> <note> <p>Amazon SWF supports a maximum of 50 tags per resource.</p> </note>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {TooManyTagsFault} <p>You've exceeded the number of tags allowed for a domain.</p>
     *   - {LimitExceededFault} <p>Returned by any operation if a system imposed limitation has been reached. To address this fault you should either clean up unused resources or increase the limit by contacting AWS.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    tagResource(args: TagResourceInput): Promise<TagResourceOutput>;
    tagResource(args: TagResourceInput, cb: (err: any, data?: TagResourceOutput) => void): void;
    /**
     * <p>Records a <code>WorkflowExecutionTerminated</code> event and forces closure of the workflow execution identified by the given domain, runId, and workflowId. The child policy, registered with the workflow type or specified when starting this execution, is applied to any open child workflow executions of this workflow execution.</p> <important> <p>If the identified workflow execution was in progress, it is terminated immediately.</p> </important> <note> <p>If a runId isn't specified, then the <code>WorkflowExecutionTerminated</code> event is recorded in the history of the current open workflow with the matching workflowId in the domain.</p> </note> <note> <p>You should consider using <a>RequestCancelWorkflowExecution</a> action instead because it allows the workflow to gracefully close while <a>TerminateWorkflowExecution</a> doesn't.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    terminateWorkflowExecution(args: TerminateWorkflowExecutionInput): Promise<TerminateWorkflowExecutionOutput>;
    terminateWorkflowExecution(args: TerminateWorkflowExecutionInput, cb: (err: any, data?: TerminateWorkflowExecutionOutput) => void): void;
    /**
     * <p>Undeprecates a previously deprecated <i>activity type</i>. After an activity type has been undeprecated, you can create new tasks of that activity type.</p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>activityType.name</code>: String constraint. The key is <code>swf:activityType.name</code>.</p> </li> <li> <p> <code>activityType.version</code>: String constraint. The key is <code>swf:activityType.version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {TypeAlreadyExistsFault} <p>Returned if the type already exists in the specified domain. You may get this fault if you are registering a type that is either already registered or deprecated, or if you undeprecate a type that is currently registered.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    undeprecateActivityType(args: UndeprecateActivityTypeInput): Promise<UndeprecateActivityTypeOutput>;
    undeprecateActivityType(args: UndeprecateActivityTypeInput, cb: (err: any, data?: UndeprecateActivityTypeOutput) => void): void;
    /**
     * <p>Undeprecates a previously deprecated domain. After a domain has been undeprecated it can be used to create new workflow executions or register new types.</p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>You cannot use an IAM policy to constrain this action's parameters.</p> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {DomainAlreadyExistsFault} <p>Returned if the domain already exists. You may get this fault if you are registering a domain that is either already registered or deprecated, or if you undeprecate a domain that is currently registered.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    undeprecateDomain(args: UndeprecateDomainInput): Promise<UndeprecateDomainOutput>;
    undeprecateDomain(args: UndeprecateDomainInput, cb: (err: any, data?: UndeprecateDomainOutput) => void): void;
    /**
     * <p>Undeprecates a previously deprecated <i>workflow type</i>. After a workflow type has been undeprecated, you can create new executions of that type. </p> <note> <p>This operation is eventually consistent. The results are best effort and may not exactly reflect recent updates and changes.</p> </note> <p> <b>Access Control</b> </p> <p>You can use IAM policies to control this action's access to Amazon SWF resources as follows:</p> <ul> <li> <p>Use a <code>Resource</code> element with the domain name to limit the action to only specified domains.</p> </li> <li> <p>Use an <code>Action</code> element to allow or deny permission to call this action.</p> </li> <li> <p>Constrain the following parameters by using a <code>Condition</code> element with the appropriate keys.</p> <ul> <li> <p> <code>workflowType.name</code>: String constraint. The key is <code>swf:workflowType.name</code>.</p> </li> <li> <p> <code>workflowType.version</code>: String constraint. The key is <code>swf:workflowType.version</code>.</p> </li> </ul> </li> </ul> <p>If the caller doesn't have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's <code>cause</code> parameter is set to <code>OPERATION_NOT_PERMITTED</code>. For details and example IAM policies, see <a href="https://docs.aws.amazon.com/amazonswf/latest/developerguide/swf-dev-iam.html">Using IAM to Manage Access to Amazon SWF Workflows</a> in the <i>Amazon SWF Developer Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {TypeAlreadyExistsFault} <p>Returned if the type already exists in the specified domain. You may get this fault if you are registering a type that is either already registered or deprecated, or if you undeprecate a type that is currently registered.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    undeprecateWorkflowType(args: UndeprecateWorkflowTypeInput): Promise<UndeprecateWorkflowTypeOutput>;
    undeprecateWorkflowType(args: UndeprecateWorkflowTypeInput, cb: (err: any, data?: UndeprecateWorkflowTypeOutput) => void): void;
    /**
     * <p>Remove a tag from a Amazon SWF domain.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnknownResourceFault} <p>Returned when the named resource cannot be found with in the scope of this operation (region or domain). This could happen if the named resource was never created or is no longer available for this operation.</p>
     *   - {LimitExceededFault} <p>Returned by any operation if a system imposed limitation has been reached. To address this fault you should either clean up unused resources or increase the limit by contacting AWS.</p>
     *   - {OperationNotPermittedFault} <p>Returned when the caller doesn't have sufficient permissions to invoke the action.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    untagResource(args: UntagResourceInput): Promise<UntagResourceOutput>;
    untagResource(args: UntagResourceInput, cb: (err: any, data?: UntagResourceOutput) => void): void;
}
