"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var SWFClient_1 = require("./SWFClient");
var CountClosedWorkflowExecutionsCommand_1 = require("./commands/CountClosedWorkflowExecutionsCommand");
var CountOpenWorkflowExecutionsCommand_1 = require("./commands/CountOpenWorkflowExecutionsCommand");
var CountPendingActivityTasksCommand_1 = require("./commands/CountPendingActivityTasksCommand");
var CountPendingDecisionTasksCommand_1 = require("./commands/CountPendingDecisionTasksCommand");
var DeprecateActivityTypeCommand_1 = require("./commands/DeprecateActivityTypeCommand");
var DeprecateDomainCommand_1 = require("./commands/DeprecateDomainCommand");
var DeprecateWorkflowTypeCommand_1 = require("./commands/DeprecateWorkflowTypeCommand");
var DescribeActivityTypeCommand_1 = require("./commands/DescribeActivityTypeCommand");
var DescribeDomainCommand_1 = require("./commands/DescribeDomainCommand");
var DescribeWorkflowExecutionCommand_1 = require("./commands/DescribeWorkflowExecutionCommand");
var DescribeWorkflowTypeCommand_1 = require("./commands/DescribeWorkflowTypeCommand");
var GetWorkflowExecutionHistoryCommand_1 = require("./commands/GetWorkflowExecutionHistoryCommand");
var ListActivityTypesCommand_1 = require("./commands/ListActivityTypesCommand");
var ListClosedWorkflowExecutionsCommand_1 = require("./commands/ListClosedWorkflowExecutionsCommand");
var ListDomainsCommand_1 = require("./commands/ListDomainsCommand");
var ListOpenWorkflowExecutionsCommand_1 = require("./commands/ListOpenWorkflowExecutionsCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var ListWorkflowTypesCommand_1 = require("./commands/ListWorkflowTypesCommand");
var PollForActivityTaskCommand_1 = require("./commands/PollForActivityTaskCommand");
var PollForDecisionTaskCommand_1 = require("./commands/PollForDecisionTaskCommand");
var RecordActivityTaskHeartbeatCommand_1 = require("./commands/RecordActivityTaskHeartbeatCommand");
var RegisterActivityTypeCommand_1 = require("./commands/RegisterActivityTypeCommand");
var RegisterDomainCommand_1 = require("./commands/RegisterDomainCommand");
var RegisterWorkflowTypeCommand_1 = require("./commands/RegisterWorkflowTypeCommand");
var RequestCancelWorkflowExecutionCommand_1 = require("./commands/RequestCancelWorkflowExecutionCommand");
var RespondActivityTaskCanceledCommand_1 = require("./commands/RespondActivityTaskCanceledCommand");
var RespondActivityTaskCompletedCommand_1 = require("./commands/RespondActivityTaskCompletedCommand");
var RespondActivityTaskFailedCommand_1 = require("./commands/RespondActivityTaskFailedCommand");
var RespondDecisionTaskCompletedCommand_1 = require("./commands/RespondDecisionTaskCompletedCommand");
var SignalWorkflowExecutionCommand_1 = require("./commands/SignalWorkflowExecutionCommand");
var StartWorkflowExecutionCommand_1 = require("./commands/StartWorkflowExecutionCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var TerminateWorkflowExecutionCommand_1 = require("./commands/TerminateWorkflowExecutionCommand");
var UndeprecateActivityTypeCommand_1 = require("./commands/UndeprecateActivityTypeCommand");
var UndeprecateDomainCommand_1 = require("./commands/UndeprecateDomainCommand");
var UndeprecateWorkflowTypeCommand_1 = require("./commands/UndeprecateWorkflowTypeCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var SWF = /** @class */ (function (_super) {
    tslib_1.__extends(SWF, _super);
    function SWF() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SWF.prototype.countClosedWorkflowExecutions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CountClosedWorkflowExecutionsCommand_1.CountClosedWorkflowExecutionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.countOpenWorkflowExecutions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CountOpenWorkflowExecutionsCommand_1.CountOpenWorkflowExecutionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.countPendingActivityTasks = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CountPendingActivityTasksCommand_1.CountPendingActivityTasksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.countPendingDecisionTasks = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CountPendingDecisionTasksCommand_1.CountPendingDecisionTasksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.deprecateActivityType = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeprecateActivityTypeCommand_1.DeprecateActivityTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.deprecateDomain = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeprecateDomainCommand_1.DeprecateDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.deprecateWorkflowType = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeprecateWorkflowTypeCommand_1.DeprecateWorkflowTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.describeActivityType = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeActivityTypeCommand_1.DescribeActivityTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.describeDomain = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDomainCommand_1.DescribeDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.describeWorkflowExecution = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeWorkflowExecutionCommand_1.DescribeWorkflowExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.describeWorkflowType = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeWorkflowTypeCommand_1.DescribeWorkflowTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.getWorkflowExecutionHistory = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetWorkflowExecutionHistoryCommand_1.GetWorkflowExecutionHistoryCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.listActivityTypes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListActivityTypesCommand_1.ListActivityTypesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.listClosedWorkflowExecutions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListClosedWorkflowExecutionsCommand_1.ListClosedWorkflowExecutionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.listDomains = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListDomainsCommand_1.ListDomainsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.listOpenWorkflowExecutions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListOpenWorkflowExecutionsCommand_1.ListOpenWorkflowExecutionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.listWorkflowTypes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListWorkflowTypesCommand_1.ListWorkflowTypesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.pollForActivityTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PollForActivityTaskCommand_1.PollForActivityTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.pollForDecisionTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PollForDecisionTaskCommand_1.PollForDecisionTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.recordActivityTaskHeartbeat = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RecordActivityTaskHeartbeatCommand_1.RecordActivityTaskHeartbeatCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.registerActivityType = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegisterActivityTypeCommand_1.RegisterActivityTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.registerDomain = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegisterDomainCommand_1.RegisterDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.registerWorkflowType = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegisterWorkflowTypeCommand_1.RegisterWorkflowTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.requestCancelWorkflowExecution = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RequestCancelWorkflowExecutionCommand_1.RequestCancelWorkflowExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.respondActivityTaskCanceled = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RespondActivityTaskCanceledCommand_1.RespondActivityTaskCanceledCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.respondActivityTaskCompleted = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RespondActivityTaskCompletedCommand_1.RespondActivityTaskCompletedCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.respondActivityTaskFailed = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RespondActivityTaskFailedCommand_1.RespondActivityTaskFailedCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.respondDecisionTaskCompleted = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RespondDecisionTaskCompletedCommand_1.RespondDecisionTaskCompletedCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.signalWorkflowExecution = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SignalWorkflowExecutionCommand_1.SignalWorkflowExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.startWorkflowExecution = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartWorkflowExecutionCommand_1.StartWorkflowExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.terminateWorkflowExecution = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TerminateWorkflowExecutionCommand_1.TerminateWorkflowExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.undeprecateActivityType = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UndeprecateActivityTypeCommand_1.UndeprecateActivityTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.undeprecateDomain = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UndeprecateDomainCommand_1.UndeprecateDomainCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.undeprecateWorkflowType = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UndeprecateWorkflowTypeCommand_1.UndeprecateWorkflowTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    SWF.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return SWF;
}(SWFClient_1.SWFClient));
exports.SWF = SWF;
//# sourceMappingURL=SWF.js.map