"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CountClosedWorkflowExecutions_1 = require("../model/operations/CountClosedWorkflowExecutions");
var CountClosedWorkflowExecutionsCommand = /** @class */ (function () {
    function CountClosedWorkflowExecutionsCommand(input) {
        this.input = input;
        this.model = CountClosedWorkflowExecutions_1.CountClosedWorkflowExecutions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CountClosedWorkflowExecutionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CountClosedWorkflowExecutionsCommand;
}());
exports.CountClosedWorkflowExecutionsCommand = CountClosedWorkflowExecutionsCommand;
//# sourceMappingURL=CountClosedWorkflowExecutionsCommand.js.map