"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CountOpenWorkflowExecutions_1 = require("../model/operations/CountOpenWorkflowExecutions");
var CountOpenWorkflowExecutionsCommand = /** @class */ (function () {
    function CountOpenWorkflowExecutionsCommand(input) {
        this.input = input;
        this.model = CountOpenWorkflowExecutions_1.CountOpenWorkflowExecutions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CountOpenWorkflowExecutionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CountOpenWorkflowExecutionsCommand;
}());
exports.CountOpenWorkflowExecutionsCommand = CountOpenWorkflowExecutionsCommand;
//# sourceMappingURL=CountOpenWorkflowExecutionsCommand.js.map