"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CountPendingActivityTasks_1 = require("../model/operations/CountPendingActivityTasks");
var CountPendingActivityTasksCommand = /** @class */ (function () {
    function CountPendingActivityTasksCommand(input) {
        this.input = input;
        this.model = CountPendingActivityTasks_1.CountPendingActivityTasks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CountPendingActivityTasksCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CountPendingActivityTasksCommand;
}());
exports.CountPendingActivityTasksCommand = CountPendingActivityTasksCommand;
//# sourceMappingURL=CountPendingActivityTasksCommand.js.map