"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CountPendingDecisionTasks_1 = require("../model/operations/CountPendingDecisionTasks");
var CountPendingDecisionTasksCommand = /** @class */ (function () {
    function CountPendingDecisionTasksCommand(input) {
        this.input = input;
        this.model = CountPendingDecisionTasks_1.CountPendingDecisionTasks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CountPendingDecisionTasksCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CountPendingDecisionTasksCommand;
}());
exports.CountPendingDecisionTasksCommand = CountPendingDecisionTasksCommand;
//# sourceMappingURL=CountPendingDecisionTasksCommand.js.map