"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeprecateDomain_1 = require("../model/operations/DeprecateDomain");
var DeprecateDomainCommand = /** @class */ (function () {
    function DeprecateDomainCommand(input) {
        this.input = input;
        this.model = DeprecateDomain_1.DeprecateDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeprecateDomainCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeprecateDomainCommand;
}());
exports.DeprecateDomainCommand = DeprecateDomainCommand;
//# sourceMappingURL=DeprecateDomainCommand.js.map