"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeprecateWorkflowType_1 = require("../model/operations/DeprecateWorkflowType");
var DeprecateWorkflowTypeCommand = /** @class */ (function () {
    function DeprecateWorkflowTypeCommand(input) {
        this.input = input;
        this.model = DeprecateWorkflowType_1.DeprecateWorkflowType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeprecateWorkflowTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeprecateWorkflowTypeCommand;
}());
exports.DeprecateWorkflowTypeCommand = DeprecateWorkflowTypeCommand;
//# sourceMappingURL=DeprecateWorkflowTypeCommand.js.map