"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeWorkflowExecution_1 = require("../model/operations/DescribeWorkflowExecution");
var DescribeWorkflowExecutionCommand = /** @class */ (function () {
    function DescribeWorkflowExecutionCommand(input) {
        this.input = input;
        this.model = DescribeWorkflowExecution_1.DescribeWorkflowExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeWorkflowExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeWorkflowExecutionCommand;
}());
exports.DescribeWorkflowExecutionCommand = DescribeWorkflowExecutionCommand;
//# sourceMappingURL=DescribeWorkflowExecutionCommand.js.map