"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeWorkflowType_1 = require("../model/operations/DescribeWorkflowType");
var DescribeWorkflowTypeCommand = /** @class */ (function () {
    function DescribeWorkflowTypeCommand(input) {
        this.input = input;
        this.model = DescribeWorkflowType_1.DescribeWorkflowType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeWorkflowTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeWorkflowTypeCommand;
}());
exports.DescribeWorkflowTypeCommand = DescribeWorkflowTypeCommand;
//# sourceMappingURL=DescribeWorkflowTypeCommand.js.map