"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetWorkflowExecutionHistory_1 = require("../model/operations/GetWorkflowExecutionHistory");
var GetWorkflowExecutionHistoryCommand = /** @class */ (function () {
    function GetWorkflowExecutionHistoryCommand(input) {
        this.input = input;
        this.model = GetWorkflowExecutionHistory_1.GetWorkflowExecutionHistory;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetWorkflowExecutionHistoryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetWorkflowExecutionHistoryCommand;
}());
exports.GetWorkflowExecutionHistoryCommand = GetWorkflowExecutionHistoryCommand;
//# sourceMappingURL=GetWorkflowExecutionHistoryCommand.js.map