"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListClosedWorkflowExecutions_1 = require("../model/operations/ListClosedWorkflowExecutions");
var ListClosedWorkflowExecutionsCommand = /** @class */ (function () {
    function ListClosedWorkflowExecutionsCommand(input) {
        this.input = input;
        this.model = ListClosedWorkflowExecutions_1.ListClosedWorkflowExecutions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListClosedWorkflowExecutionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListClosedWorkflowExecutionsCommand;
}());
exports.ListClosedWorkflowExecutionsCommand = ListClosedWorkflowExecutionsCommand;
//# sourceMappingURL=ListClosedWorkflowExecutionsCommand.js.map