"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListDomains_1 = require("../model/operations/ListDomains");
var ListDomainsCommand = /** @class */ (function () {
    function ListDomainsCommand(input) {
        this.input = input;
        this.model = ListDomains_1.ListDomains;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListDomainsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListDomainsCommand;
}());
exports.ListDomainsCommand = ListDomainsCommand;
//# sourceMappingURL=ListDomainsCommand.js.map