"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListWorkflowTypes_1 = require("../model/operations/ListWorkflowTypes");
var ListWorkflowTypesCommand = /** @class */ (function () {
    function ListWorkflowTypesCommand(input) {
        this.input = input;
        this.model = ListWorkflowTypes_1.ListWorkflowTypes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListWorkflowTypesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListWorkflowTypesCommand;
}());
exports.ListWorkflowTypesCommand = ListWorkflowTypesCommand;
//# sourceMappingURL=ListWorkflowTypesCommand.js.map