"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PollForActivityTask_1 = require("../model/operations/PollForActivityTask");
var PollForActivityTaskCommand = /** @class */ (function () {
    function PollForActivityTaskCommand(input) {
        this.input = input;
        this.model = PollForActivityTask_1.PollForActivityTask;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PollForActivityTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PollForActivityTaskCommand;
}());
exports.PollForActivityTaskCommand = PollForActivityTaskCommand;
//# sourceMappingURL=PollForActivityTaskCommand.js.map