"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PollForDecisionTask_1 = require("../model/operations/PollForDecisionTask");
var PollForDecisionTaskCommand = /** @class */ (function () {
    function PollForDecisionTaskCommand(input) {
        this.input = input;
        this.model = PollForDecisionTask_1.PollForDecisionTask;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PollForDecisionTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PollForDecisionTaskCommand;
}());
exports.PollForDecisionTaskCommand = PollForDecisionTaskCommand;
//# sourceMappingURL=PollForDecisionTaskCommand.js.map