"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RecordActivityTaskHeartbeat_1 = require("../model/operations/RecordActivityTaskHeartbeat");
var RecordActivityTaskHeartbeatCommand = /** @class */ (function () {
    function RecordActivityTaskHeartbeatCommand(input) {
        this.input = input;
        this.model = RecordActivityTaskHeartbeat_1.RecordActivityTaskHeartbeat;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RecordActivityTaskHeartbeatCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RecordActivityTaskHeartbeatCommand;
}());
exports.RecordActivityTaskHeartbeatCommand = RecordActivityTaskHeartbeatCommand;
//# sourceMappingURL=RecordActivityTaskHeartbeatCommand.js.map