"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegisterDomain_1 = require("../model/operations/RegisterDomain");
var RegisterDomainCommand = /** @class */ (function () {
    function RegisterDomainCommand(input) {
        this.input = input;
        this.model = RegisterDomain_1.RegisterDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegisterDomainCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegisterDomainCommand;
}());
exports.RegisterDomainCommand = RegisterDomainCommand;
//# sourceMappingURL=RegisterDomainCommand.js.map