"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegisterWorkflowType_1 = require("../model/operations/RegisterWorkflowType");
var RegisterWorkflowTypeCommand = /** @class */ (function () {
    function RegisterWorkflowTypeCommand(input) {
        this.input = input;
        this.model = RegisterWorkflowType_1.RegisterWorkflowType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegisterWorkflowTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegisterWorkflowTypeCommand;
}());
exports.RegisterWorkflowTypeCommand = RegisterWorkflowTypeCommand;
//# sourceMappingURL=RegisterWorkflowTypeCommand.js.map