"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RequestCancelWorkflowExecution_1 = require("../model/operations/RequestCancelWorkflowExecution");
var RequestCancelWorkflowExecutionCommand = /** @class */ (function () {
    function RequestCancelWorkflowExecutionCommand(input) {
        this.input = input;
        this.model = RequestCancelWorkflowExecution_1.RequestCancelWorkflowExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RequestCancelWorkflowExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RequestCancelWorkflowExecutionCommand;
}());
exports.RequestCancelWorkflowExecutionCommand = RequestCancelWorkflowExecutionCommand;
//# sourceMappingURL=RequestCancelWorkflowExecutionCommand.js.map