"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RespondActivityTaskCompleted_1 = require("../model/operations/RespondActivityTaskCompleted");
var RespondActivityTaskCompletedCommand = /** @class */ (function () {
    function RespondActivityTaskCompletedCommand(input) {
        this.input = input;
        this.model = RespondActivityTaskCompleted_1.RespondActivityTaskCompleted;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RespondActivityTaskCompletedCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RespondActivityTaskCompletedCommand;
}());
exports.RespondActivityTaskCompletedCommand = RespondActivityTaskCompletedCommand;
//# sourceMappingURL=RespondActivityTaskCompletedCommand.js.map