"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RespondDecisionTaskCompleted_1 = require("../model/operations/RespondDecisionTaskCompleted");
var RespondDecisionTaskCompletedCommand = /** @class */ (function () {
    function RespondDecisionTaskCompletedCommand(input) {
        this.input = input;
        this.model = RespondDecisionTaskCompleted_1.RespondDecisionTaskCompleted;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RespondDecisionTaskCompletedCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RespondDecisionTaskCompletedCommand;
}());
exports.RespondDecisionTaskCompletedCommand = RespondDecisionTaskCompletedCommand;
//# sourceMappingURL=RespondDecisionTaskCompletedCommand.js.map