"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var SignalWorkflowExecution_1 = require("../model/operations/SignalWorkflowExecution");
var SignalWorkflowExecutionCommand = /** @class */ (function () {
    function SignalWorkflowExecutionCommand(input) {
        this.input = input;
        this.model = SignalWorkflowExecution_1.SignalWorkflowExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    SignalWorkflowExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return SignalWorkflowExecutionCommand;
}());
exports.SignalWorkflowExecutionCommand = SignalWorkflowExecutionCommand;
//# sourceMappingURL=SignalWorkflowExecutionCommand.js.map