"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartWorkflowExecution_1 = require("../model/operations/StartWorkflowExecution");
var StartWorkflowExecutionCommand = /** @class */ (function () {
    function StartWorkflowExecutionCommand(input) {
        this.input = input;
        this.model = StartWorkflowExecution_1.StartWorkflowExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartWorkflowExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartWorkflowExecutionCommand;
}());
exports.StartWorkflowExecutionCommand = StartWorkflowExecutionCommand;
//# sourceMappingURL=StartWorkflowExecutionCommand.js.map