"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TerminateWorkflowExecution_1 = require("../model/operations/TerminateWorkflowExecution");
var TerminateWorkflowExecutionCommand = /** @class */ (function () {
    function TerminateWorkflowExecutionCommand(input) {
        this.input = input;
        this.model = TerminateWorkflowExecution_1.TerminateWorkflowExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TerminateWorkflowExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TerminateWorkflowExecutionCommand;
}());
exports.TerminateWorkflowExecutionCommand = TerminateWorkflowExecutionCommand;
//# sourceMappingURL=TerminateWorkflowExecutionCommand.js.map