"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UndeprecateDomain_1 = require("../model/operations/UndeprecateDomain");
var UndeprecateDomainCommand = /** @class */ (function () {
    function UndeprecateDomainCommand(input) {
        this.input = input;
        this.model = UndeprecateDomain_1.UndeprecateDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UndeprecateDomainCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UndeprecateDomainCommand;
}());
exports.UndeprecateDomainCommand = UndeprecateDomainCommand;
//# sourceMappingURL=UndeprecateDomainCommand.js.map