"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UndeprecateWorkflowType_1 = require("../model/operations/UndeprecateWorkflowType");
var UndeprecateWorkflowTypeCommand = /** @class */ (function () {
    function UndeprecateWorkflowTypeCommand(input) {
        this.input = input;
        this.model = UndeprecateWorkflowType_1.UndeprecateWorkflowType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UndeprecateWorkflowTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UndeprecateWorkflowTypeCommand;
}());
exports.UndeprecateWorkflowTypeCommand = UndeprecateWorkflowTypeCommand;
//# sourceMappingURL=UndeprecateWorkflowTypeCommand.js.map