"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeprecateDomainInput_1 = require("../shapes/DeprecateDomainInput");
var DeprecateDomainOutput_1 = require("../shapes/DeprecateDomainOutput");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var DomainDeprecatedFault_1 = require("../shapes/DomainDeprecatedFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeprecateDomain = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeprecateDomain",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeprecateDomainInput_1.DeprecateDomainInput
    },
    output: {
        shape: DeprecateDomainOutput_1.DeprecateDomainOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: DomainDeprecatedFault_1.DomainDeprecatedFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=DeprecateDomain.js.map