"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegisterDomainInput_1 = require("../shapes/RegisterDomainInput");
var RegisterDomainOutput_1 = require("../shapes/RegisterDomainOutput");
var DomainAlreadyExistsFault_1 = require("../shapes/DomainAlreadyExistsFault");
var LimitExceededFault_1 = require("../shapes/LimitExceededFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var TooManyTagsFault_1 = require("../shapes/TooManyTagsFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterDomain = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterDomain",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RegisterDomainInput_1.RegisterDomainInput
    },
    output: {
        shape: RegisterDomainOutput_1.RegisterDomainOutput
    },
    errors: [
        {
            shape: DomainAlreadyExistsFault_1.DomainAlreadyExistsFault
        },
        {
            shape: LimitExceededFault_1.LimitExceededFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        },
        {
            shape: TooManyTagsFault_1.TooManyTagsFault
        }
    ]
};
//# sourceMappingURL=RegisterDomain.js.map