"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegisterWorkflowTypeInput_1 = require("../shapes/RegisterWorkflowTypeInput");
var RegisterWorkflowTypeOutput_1 = require("../shapes/RegisterWorkflowTypeOutput");
var TypeAlreadyExistsFault_1 = require("../shapes/TypeAlreadyExistsFault");
var LimitExceededFault_1 = require("../shapes/LimitExceededFault");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterWorkflowType = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterWorkflowType",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RegisterWorkflowTypeInput_1.RegisterWorkflowTypeInput
    },
    output: {
        shape: RegisterWorkflowTypeOutput_1.RegisterWorkflowTypeOutput
    },
    errors: [
        {
            shape: TypeAlreadyExistsFault_1.TypeAlreadyExistsFault
        },
        {
            shape: LimitExceededFault_1.LimitExceededFault
        },
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=RegisterWorkflowType.js.map