"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SignalWorkflowExecutionInput_1 = require("../shapes/SignalWorkflowExecutionInput");
var SignalWorkflowExecutionOutput_1 = require("../shapes/SignalWorkflowExecutionOutput");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SignalWorkflowExecution = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SignalWorkflowExecution",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: SignalWorkflowExecutionInput_1.SignalWorkflowExecutionInput
    },
    output: {
        shape: SignalWorkflowExecutionOutput_1.SignalWorkflowExecutionOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=SignalWorkflowExecution.js.map