"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StartWorkflowExecutionInput_1 = require("../shapes/StartWorkflowExecutionInput");
var StartWorkflowExecutionOutput_1 = require("../shapes/StartWorkflowExecutionOutput");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var TypeDeprecatedFault_1 = require("../shapes/TypeDeprecatedFault");
var WorkflowExecutionAlreadyStartedFault_1 = require("../shapes/WorkflowExecutionAlreadyStartedFault");
var LimitExceededFault_1 = require("../shapes/LimitExceededFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var DefaultUndefinedFault_1 = require("../shapes/DefaultUndefinedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartWorkflowExecution = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartWorkflowExecution",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartWorkflowExecutionInput_1.StartWorkflowExecutionInput
    },
    output: {
        shape: StartWorkflowExecutionOutput_1.StartWorkflowExecutionOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: TypeDeprecatedFault_1.TypeDeprecatedFault
        },
        {
            shape: WorkflowExecutionAlreadyStartedFault_1.WorkflowExecutionAlreadyStartedFault
        },
        {
            shape: LimitExceededFault_1.LimitExceededFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        },
        {
            shape: DefaultUndefinedFault_1.DefaultUndefinedFault
        }
    ]
};
//# sourceMappingURL=StartWorkflowExecution.js.map