"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UndeprecateDomainInput_1 = require("../shapes/UndeprecateDomainInput");
var UndeprecateDomainOutput_1 = require("../shapes/UndeprecateDomainOutput");
var UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
var DomainAlreadyExistsFault_1 = require("../shapes/DomainAlreadyExistsFault");
var OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UndeprecateDomain = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UndeprecateDomain",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UndeprecateDomainInput_1.UndeprecateDomainInput
    },
    output: {
        shape: UndeprecateDomainOutput_1.UndeprecateDomainOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: DomainAlreadyExistsFault_1.DomainAlreadyExistsFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=UndeprecateDomain.js.map