import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>Specifies the <code>runId</code> of a workflow execution.</p>
 */
export interface StartWorkflowExecutionOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>The <code>runId</code> of a workflow execution. This ID is generated by the service and can be used to uniquely identify the workflow execution within a domain.</p>
     */
    runId?: string;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
