import { _WorkflowExecution, _UnmarshalledWorkflowExecution } from "./_WorkflowExecution";
import { _WorkflowType, _UnmarshalledWorkflowType } from "./_WorkflowType";
/**
 * <p>Provides the details of the <code>ChildWorkflowExecutionStarted</code> event.</p>
 */
export interface _ChildWorkflowExecutionStartedEventAttributes {
    /**
     * <p>The child workflow execution that was started.</p>
     */
    workflowExecution: _WorkflowExecution;
    /**
     * <p>The type of the child workflow execution.</p>
     */
    workflowType: _WorkflowType;
    /**
     * <p>The ID of the <code>StartChildWorkflowExecutionInitiated</code> event corresponding to the <code>StartChildWorkflowExecution</code> <a>Decision</a> to start this child workflow execution. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.</p>
     */
    initiatedEventId: number;
}
export interface _UnmarshalledChildWorkflowExecutionStartedEventAttributes extends _ChildWorkflowExecutionStartedEventAttributes {
    /**
     * <p>The child workflow execution that was started.</p>
     */
    workflowExecution: _UnmarshalledWorkflowExecution;
    /**
     * <p>The type of the child workflow execution.</p>
     */
    workflowType: _UnmarshalledWorkflowType;
}
